set cliMapsSip 1
set Line1 1
set ipaddr "192.168.1.78"
set port 10024
set iterations 1

load mapsclientifc.dll

###### Connecting to MAPS SIP CLI Server ######
puts "Connecting to MAPS SIP CLI Server..."
maps Connect $cliMapsSip $ipaddr $port

###### Starting TestBedSetup ######
puts "\nStarting TestBedSetup..."
maps Cmd $cliMapsSip {Start "TestBedDefault_IPv4.xml"}

set StartStatus "Null"
waitforevent $cliMapsSip StartStatus 10 sec

if { $StartStatus == "Started" } {
	puts "\nTestBedSetup Started"
	#Starting scripts
	puts "\nStarting Uac Script..."
	maps Cmd $cliMapsSip StartScript $Line1 {"CLI_UAC-RTP.gls" "Profile01"} $iterations
	set Script "Null"
	waitforevent $cliMapsSip $Line1 Script 10 sec
	for { set i 0 } { $i < $iterations } { incr i } {
		if { $Script == "Started" } {
			puts "\nUac Script Started"
			puts "\nLine1 Placing Call..."
			maps Cmd $cliMapsSip UserEvent $Line1 {"Place Call"}
			set State "Null"
			waitforevent $cliMapsSip $Line1 State 10 sec
		
			if { $State == "Call Established" } {
				puts "\nCall Established"
				set ReceivedMsg "Null"
				
				#RTP Traffic Actions 
				
				#Transmit Actions
				
				#Send File
				#puts "\nSending File from Line1..." 
				maps cmd $cliMapsSip UserEvent $Line1 {"Send File"} 
				set TrafficStatus "null"
				waitforevent $cliMapsSip $Line1 TrafficStatus 50 sec
				if { $TrafficStatus == "RTP File Sent" } {
					puts "\nRTP File Sent"
				}				
				maps cmd $cliMapsSip UserEvent $Line1 {"Stop Rx"}
				
				waitforevent $cliMapsSip $Line1 ReceivedMsg 10 sec
				if { $ReceivedMsg == "BYE" } {
					puts "\nBYE Received"
					set SentMsg "Null"
					waitforevent $cliMapsSip $Line1 SentMsg 10 sec
					if { $SentMsg == "200 BYE" } {
						puts "\nCall Terminated"
					} else {	
						puts "200 BYE Sending Failed"
					}
				} else {
					#Line1 Send Bye
					puts "\nLine1 Sending Bye..."
					maps Cmd $cliMapsSip UserEvent $Line1 {"HangUp"}
					set State "Null"
					waitforevent $cliMapsSip $Line1 State 10 sec
					if {$State == "Call Terminated"} {
						puts "\nBYE Sent"
						waitforevent $cliMapsSip $Line1 ReceivedMsg 10 sec
						if {$ReceivedMsg == "200 BYE"} {
							puts "\nCall Terminated"
						} else {	
							puts "200 BYE Receive Failed"
						}
					} else {	
						puts "Bye Sending Failed"
					}
				}
			}
		}	
	}		
	maps cmd $cliMapsSip StopScript $Line1
	puts "\nScript Stopped"
}
maps cmd $cliMapsSip Stop TestBedSetUp 
puts "TestBedSetup Stopped"

maps Disconnect 1 